本文へスキップ

Fabric Cloud RouterとMetal VLANの接続

Fabric Cloud RouterとMetal相互接続の間に直接レイヤ2接続を確立します。

メタル相互接続の作成

Equinix Metal API で、SharePortVCVlanCreateInput body パラメータを使用して、/organizations/{organization_id}/connections エンドポイントに POST リクエストを送信します。type`` には shared_port_vlan を指定し、vlans 配列には Fabric Cloud Router が接続する Metal VLAN を指定します。

レスポンスには、接続を作成する際に必要となる "authorization_code" が含まれています。

Fabric Cloud Routerを入手する

既に Fabric Cloud Router を持っている場合は、/fabric/v4/routers/{routerId} エンドポイントに GET リクエストを送るか、/fabric/v4/routers/search エンドポイントを使用して検索してください。

Fabric Cloud Routerをお持ちでない場合は、作成してください。

コネクションの構築

接続を作成するには、/fabric/v4/connections エンドポイントに POST リクエストを送信します。aSide:accessPoint オブジェクトに Fabric Cloud Router を指定します。zSide : accessPoint オブジェクトに Metal Interconnection を指定します。

POST /fabric/v4/connections
MethodPOST
Endpoint/fabric/v4/connections
HeadersAuthorization, Content-Type
Path ParametersNot applicable
Query ParametersNot applicable
Body Parameterstype, name, order, bandwidth, project, redundancy, aSide, zSide, notifications

FCR から Metal Interconnection への PRIMARY 接続を作成するためのサンプル curl リクエストです:

curl -X
POST 'https://api.equinix.com/fabric/v4/connections'
-H 'content-type: application/json'
-H 'authorization: Bearer <token>'
-d '
{

    "type": "IP_VC",
    "name": "fcr2metal",
    "bandwidth": 50,
    "aSide": {
        "accessPoint": {
            "type": "CLOUD_ROUTER",
            "router": {
                "uuid": "< fcr uuid >"
            }
        }
    }
    ,
    "zSide": {
        "accessPoint": {
            "type": "METAL_NETWORK",
            "authenticationKey":"<key >"
        }
    },
    "notifications": [ 
        {
        "type": "ALL",
        "emails": [ "x@x.com"
            ]
        }

    ]
}'

FCRから2つのVLANを持つMetal Interconnectionへのセカンダリ接続を作成するためのサンプルcurlリクエスト:

curl -X
POST 'https://api.equinix.com/fabric/v4/connections'
-H 'content-type: application/json'
-H 'authorization: Bearer <token>'
-d '
{

    "type": "IP_VC",
    "name": "fcr2metal",
    "bandwidth": 50,
    "redundancy": {
        "group": "82f0b34c-3994-4c8a-81ff-7063faa7a9e2",
        "priority": "SECONDARY"
    },
    "aSide": {
        "accessPoint": {
            "type": "CLOUD_ROUTER",
            "router": {
                "uuid": "< fcr uuid >"
            }
        }
    },
    "zSide": {
        "accessPoint": {
            "type": "METAL_NETWORK",
            "authenticationKey":" < key >"
        }
    },
    "notifications": [ 
        {
        "type": "ALL",
        "emails": [ "x@x.com"
            ]
        }

    ]
}'

使用可能なパラメータの一覧は、API リファレンス を参照してください。

接続ステータスを監視するには、/fabric/v4/connections/{connectionId} エンドポイントに GET リクエストを送信します。

equinixStatus attribute valuesproviderStatus attribute valuesDescription
PENDING_INTERFACE_CONFIGURATIONNOT_AVAILABLEYou need to configure the connection.
PROVISIONEDAVAILABLEConnection is provisioned and available.

接続の設定

接続を作成して検証したら、Routing Protocol API エンドポイントを使用して接続を構成し、ルーティングプロトコル定義を作成して接続に追加します。接続を完全にプロビジョニングするには、少なくともダイレクト・ルーティング・プロトコルの詳細を接続に追加する必要があります。BGP ルーティングプロトコルを使用すると、VLAN に接続されているサーバーに接続できます。

このページは役に立ちましたか?